# FoundationClasses
TKAdvTools
GraphTools

# GraphTools_ListOfSequenceOfInteger Class Reference

`#include <GraphTools_ListOfSequenceOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GraphTools_ListOfSequenceOfInteger ()
Standard_EXPORT void | Assign (const GraphTools_ListOfSequenceOfInteger &Other)
void | operator= (const GraphTools_ListOfSequenceOfInteger &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~GraphTools_ListOfSequenceOfInteger ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const TColStd_SequenceOfInteger &I)
Standard_EXPORT void | Prepend (const TColStd_SequenceOfInteger &I, GraphTools_ListIteratorOfListOfSequenceOfInteger &theIt)
Standard_EXPORT void | Prepend (GraphTools_ListOfSequenceOfInteger &Other)
Standard_EXPORT void | Append (const TColStd_SequenceOfInteger &I)
Standard_EXPORT void | Append (const TColStd_SequenceOfInteger &I, GraphTools_ListIteratorOfListOfSequenceOfInteger &theIt)
Standard_EXPORT void | Append (GraphTools_ListOfSequenceOfInteger &Other)
Standard_EXPORT TColStd_SequenceOfInteger & | First () const
Standard_EXPORT TColStd_SequenceOfInteger & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (GraphTools_ListIteratorOfListOfSequenceOfInteger &It)
Standard_EXPORT void | InsertBefore (const TColStd_SequenceOfInteger &I, GraphTools_ListIteratorOfListOfSequenceOfInteger &It)
Standard_EXPORT void | InsertBefore (GraphTools_ListOfSequenceOfInteger &Other, GraphTools_ListIteratorOfListOfSequenceOfInteger &It)
Standard_EXPORT void | InsertAfter (const TColStd_SequenceOfInteger &I, GraphTools_ListIteratorOfListOfSequenceOfInteger &It)
Standard_EXPORT void | InsertAfter (GraphTools_ListOfSequenceOfInteger &Other, GraphTools_ListIteratorOfListOfSequenceOfInteger &It)

## Private Member Functions

Standard_EXPORT | GraphTools_ListOfSequenceOfInteger (const GraphTools_ListOfSequenceOfInteger &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT GraphTools_ListOfSequenceOfInteger::GraphTools_ListOfSequenceOfInteger | ( |  | ) |

GraphTools_ListOfSequenceOfInteger::~GraphTools_ListOfSequenceOfInteger | ( |  | ) | `[inline]`

Standard_EXPORT GraphTools_ListOfSequenceOfInteger::GraphTools_ListOfSequenceOfInteger | ( | const GraphTools_ListOfSequenceOfInteger & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::Append | ( | GraphTools_ListOfSequenceOfInteger & | Other | ) |

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::Append | ( | const TColStd_SequenceOfInteger & | I,
|  | GraphTools_ListIteratorOfListOfSequenceOfInteger & | theIt
| ) |

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::Append | ( | const TColStd_SequenceOfInteger & | I | ) |

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::Assign | ( | const GraphTools_ListOfSequenceOfInteger & | Other | ) |

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer GraphTools_ListOfSequenceOfInteger::Extent | ( |  | ) | const

Standard_EXPORT TColStd_SequenceOfInteger& GraphTools_ListOfSequenceOfInteger::First | ( |  | ) | const

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::InsertAfter | ( | GraphTools_ListOfSequenceOfInteger & | Other,
|  | GraphTools_ListIteratorOfListOfSequenceOfInteger & | It
| ) |

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::InsertAfter | ( | const TColStd_SequenceOfInteger & | I,
|  | GraphTools_ListIteratorOfListOfSequenceOfInteger & | It
| ) |

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::InsertBefore | ( | GraphTools_ListOfSequenceOfInteger & | Other,
|  | GraphTools_ListIteratorOfListOfSequenceOfInteger & | It
| ) |

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::InsertBefore | ( | const TColStd_SequenceOfInteger & | I,
|  | GraphTools_ListIteratorOfListOfSequenceOfInteger & | It
| ) |

Standard_Boolean GraphTools_ListOfSequenceOfInteger::IsEmpty | ( |  | ) | const

Standard_EXPORT TColStd_SequenceOfInteger& GraphTools_ListOfSequenceOfInteger::Last | ( |  | ) | const

void GraphTools_ListOfSequenceOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* GraphTools_ListOfSequenceOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* GraphTools_ListOfSequenceOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void GraphTools_ListOfSequenceOfInteger::operator= | ( | const GraphTools_ListOfSequenceOfInteger & | Other | ) | `[inline]`

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::Prepend | ( | GraphTools_ListOfSequenceOfInteger & | Other | ) |

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::Prepend | ( | const TColStd_SequenceOfInteger & | I,
|  | GraphTools_ListIteratorOfListOfSequenceOfInteger & | theIt
| ) |

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::Prepend | ( | const TColStd_SequenceOfInteger & | I | ) |

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::Remove | ( | GraphTools_ListIteratorOfListOfSequenceOfInteger & | It | ) |

Standard_EXPORT void GraphTools_ListOfSequenceOfInteger::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address GraphTools_ListOfSequenceOfInteger::myFirst `[private]`

Standard_Address GraphTools_ListOfSequenceOfInteger::myLast `[private]`

The documentation for this class was generated from the following file:

- GraphTools_ListOfSequenceOfInteger.hxx